package env

import (
	"github.com/gofor-little/env"
)

func EnvLoadFile() {
	err := env.Load(".env")

	if err != nil {
		panic(err)
	}
}

func GetUrl() string {
	url, err := env.MustGet("URL")
	if err != nil {
		panic(err)
	}
	return url
}

func GetToken() string {
	token, err := env.MustGet("TOKEN")
	if err != nil {
		panic(err)
	}
	return token
}
